DDoS Mitigation
Create Firewall Rule
post
/ddos-mitigation/firewall-rulesCreate a firewall rule for an IP or network.
If you provide a subnet (for example a /24), a separate rule is created for each individual IP in it.
Actions (with protocol restrictions):
- 0: DROP - Drop packets (TCP/UDP/ICMP)
- 1: ACCEPT - Accept packets (TCP/UDP/ICMP)
- 2: FILTER - Continue filtering (TCP/UDP/ICMP)
- 10: FiveM TCP L1 - Monitor only (TCP only)
- 11: FiveM TCP L2 - Require auth (TCP only)
- 12: FiveM TCP L10 - Auth + rate limit (TCP only)
- 15: FiveM UDP L1 - Monitor only (UDP only)
- 16: FiveM UDP L2 - Require auth (UDP only)
- 17: FiveM UDP L3 - Self-auth getinfo (UDP only)
- 20: RDP TCP - Full auth + rate limit (TCP only)
- 21: RDP UDP - Require auth (UDP only)
- 30: DNS UDP - Validate DNS header (UDP only)
- 31: DNS TCP - Validate header + length (TCP only)
- 40: Minecraft Java - Handshake validation (TCP only)
- 50: TLS - TLS record validation (TCP only)
- 60: Source rate limit in packets per second, per source IP to the destination port (any protocol)
- 61: Source rate limit in megabits per second, per source IP to the destination port (any protocol)
For actions 60 and 61, set the limits in tcp_syn, tcp_ack, tcp_synack, tcp_rst,
tcp_fin, tcp_all, udp and icmp.
Autorización
Authorization
Authorization*string
Bearer YOUR_API_TOKEN con un token de API. También vale la cabecera X-API-Key: YOUR_API_TOKEN.
Cuerpo de la petición
Schema for creating a firewall rule.
application/jsonObligatorio
network*string
Rango
1 ≤ length ≤ 45protocol*integer
Rango
0 ≤ value ≤ 255dst_port*integer
Rango
0 ≤ value ≤ 65535action*integer
Rango
0 ≤ valuetcp_syn?integer
Rango
0 ≤ value ≤ 100000000Por defecto0tcp_ack?integer
Rango
0 ≤ value ≤ 100000000Por defecto0tcp_synack?integer
Rango
0 ≤ value ≤ 100000000Por defecto0tcp_rst?integer
Rango
0 ≤ value ≤ 100000000Por defecto0tcp_fin?integer
Rango
0 ≤ value ≤ 100000000Por defecto0tcp_all?integer
Rango
0 ≤ value ≤ 100000000Por defecto0udp?integer
Rango
0 ≤ value ≤ 100000000Por defecto0icmp?integer
Rango
0 ≤ value ≤ 100000000Por defecto0Respuestas
Successful Response
application/json
detail*string